Bug 173921 - NFS install will not work with ISO cd images on NFS server
NFS install will not work with ISO cd images on NFS server
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-22 12:49 EST by Edward Rudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-25 15:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2005-11-22 12:49:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
With previous releases of Redhat and Fedora Core I could point the "nfs install" option to an NFS share with the iso cds and it would loopback mount the ISOs and install.  However with Fedora Core 4, I can no longer do this, as it is requiring an extracted contents of the CD.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.have ISO files on an NFS sharee
2. share directory via /etc/exports
3. have new install do "askmethod" and choose NFS
4. point to NFS share with ISO files

  

Actual Results:  error of "unable to find Fedora/base/stage2.img" in the NFS mount dir

Expected Results:  If it can't find the stage2 file, then search for the ISO files nad loopback mount them (as it was done from RH 7.3 to FC3)

Additional info:

It would be nice if there was either a separate NFS option to do ISOs and one to do "extracted contents".. OR have the installer detect what is on the server and ASK. 

With MDK their installer actually gives a list of all the ISOs and extracted contents and what versions they contain. (which is actually kinda cool..) Might be an idea to add to the Anaconda installer.
Comment 1 Jeremy Katz 2005-11-24 22:38:04 EST
nfsiso should still work, we've definitely used it.  Do you have all the ISOs there?
Comment 2 Edward Rudd 2005-11-24 23:58:41 EST
In the installer menu I only saw one NFS installation option "NFS Image" and I had

FC4-i386-disc[1-4].iso in the directory where I pointed the NFS install.  And I
verifed the SHA1SUM of the downloaded images.   Now there were other files in
that directory as well (which would seem silly if that confused the installer) 
I will re-test by placing the files in a subdirectory tomorrow to rule that out.

Wait a minute.. Never mind.. I found the problem. I will verify tomorrow when I
get to that system to test it.  File permission:)  only the owner had read
permissions on the isos:-D

If it works tomorrow I'll close the bug
Comment 3 Edward Rudd 2005-11-25 15:46:59 EST
It was file permission issues:(  Closing the bug

Note You need to log in before you can comment on or make changes to this bug.